Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.thalia.bio.entity
Class GroupContainer

    java.lang.Object
      org.thalia.bio.entity.BioEntity
          org.thalia.bio.entity.BioEntityContainer
              org.thalia.bio.entity.GroupContainer

All Implemented Interfaces:
  IBioAdaptable, IBioEntity, IBioGenome

Direct Known Subclasses:
  GeneticMap

    public abstract class GroupContainer

extends BioEntityContainer
implements IBioGenome

Class Description Here

Author:
  Jean-Baptiste Veyrieras

Field Summary

Fields inherited from class org.thalia.bio.entity.BioEntityContainer
`entities`

Fields inherited from class org.thalia.bio.entity.BioEntity
`name, parent, properties`

Constructor Summary
`GroupContainer()`
`GroupContainer(java.lang.String name, IBioEntity parent)`

Method Summary
`void` | `addGroup(IBioLGroup group)`
`IBioLGroup` | `getGroup(java.lang.String name)`
`abstract int` | `getType()` There are 2 main class of entities.
`int` | `groupNumber()`
`IBioLGroup[]` | `groups()`
`void` | `removeGroup(java.lang.String name)`

Methods inherited from class org.thalia.bio.entity.BioEntityContainer
`addEntity, entities, entityNumber, getEntity, removeEntity`

Methods inherited from class org.thalia.bio.entity.BioEntity
`getName, getParent, getProperties, newBioEntity, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.thalia.bio.IBioEntity
`getName, getParent, getProperties, setName, setProperties`

Methods inherited from interface org.thalia.bio.IBioAdaptable
`getBioAdapter`

Constructor Detail

### GroupContainer

    public GroupContainer()

### GroupContainer

    public GroupContainer(java.lang.String name,
                          IBioEntity parent)

Parameters:
  `name` -
  `parent` -

Method Detail

### groups

    public IBioLGroup[] groups()

  Specified by:
    `groups` in interface `IBioGenome`

### getGroup

    public IBioLGroup getGroup(java.lang.String name)

  Specified by:
    `getGroup` in interface `IBioGenome`

### addGroup

    public void addGroup(IBioLGroup group)

  Specified by:
    `addGroup` in interface `IBioGenome`

### removeGroup

    public void removeGroup(java.lang.String name)

  Specified by:
    `removeGroup` in interface `IBioGenome`

### groupNumber

    public int groupNumber()

  Specified by:
    `groupNumber` in interface `IBioGenome`

### getType

    public abstract int getType()

  Description copied from interface: `IBioEntity`
  There are 2 main class of entities. The first one deals with population biological entity, i.e population itself and individuals. The second class is a representation of microscopic biological entity from genome container to alleles.

  Specified by:
    `getType` in interface `IBioEntity`
  Specified by:
    `getType` in class `BioEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD